<?php
add_shortcode( 'modus_blog', 'modus_tp_blog' );
function modus_tp_blog( $atts ){
    extract( shortcode_atts(
        array(
            'title'         => '',
			'layout_blog'   => 'list',
            'type_list' => 'type1',
            'category'      => '',
            'items_show'    => -1,
            'columns'       => 1,
            'column'        => 1,
            'rows'          => 1,
            'show_viewmore' => '',
            'el_class'      => '',
            'css'           => '',
            'button_text'   => 'See More',
            'button_link'   => '',
        ),$atts ));
    ob_start();

    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, '' ), 'modus_blog', $atts );
    $el_class = modus_extract_class( $el_class );

    if ( $css_class != '' ){
        $el_class .= modus_extract_class( $css_class );
    }
    switch ( $column ) {
        case '1':
            $cl_class = 'col-xs-12 col-sm-12 col-md-12';
            break;
        case '2':
            $cl_class = 'col-xs-12 col-sm-6 col-md-6';
            break;
        case '3':
            if ($type_list == 'type7') {
               $cl_class = 'col-xs-12 col-sm-6 col-md-4';
            }
            else{
                $cl_class = 'col-xs-12 col-sm-4 col-md-4';
            }

            break;
        case '4':
            $cl_class = 'col-xs-12 col-sm-6 col-md-3';
            break;

        default:
            $cl_class = '';
            break;
    }
    if ( $category == '' ) :
        $args_post = array(
            'post_type' => 'post',
            'post_status' => 'publish',
            'posts_per_page' => $items_show,
        );
    else :
        $args_post = array(
            'post_type' => 'post',
            'post_status' => 'publish',
            'posts_per_page' => $items_show,
            'tax_query' => array(
                'relation' => 'AND',
                array(
                    'taxonomy' => 'post_layout',
                    'field'    => 'slug',
                    'terms'    => $category,
                ),
            ),
        );
    endif;

    $rquery_post = New Wp_Query( $args_post );
    if($button_link!=''){
        $btn_href = vc_build_link($button_link);
        $button_link = $btn_href['url'];
    }
    ?>

    <div class="modus-blog<?php echo $el_class . ' ' . $type_list; ?>">
        <?php if ( $title != '' ) : ?>
            <div class="sfc wow fadeInUp" data-wow-duration="500ms" data-wow-delay="300ms">
                <div class="heading-title text-left">
                    <h2><?php echo wp_kses_post( $title );?></h2>
                </div>
            </div>
        <?php endif; ?>
        <?php
        /*Blog latest news*/
        if ( $rquery_post->have_posts() ) :
            ?>
            <?php
            if( $layout_blog == 'list' ) :
                echo '<div class="blog-list">';
                if ( $type_list == 'type7' ) { echo '<div class="row">';}
                    $item_index = 0;
                    while ( $rquery_post->have_posts() ) : $rquery_post->the_post();
                        $item_index ++;

                        if ( $type_list == 'type1' ) :
                            if ( $item_index%2 == 0 ) $cl_event = 'even'; else $cl_event='odd';
                            ?>
                            <div class="<?php if ($item_index == 1) echo "first"; ?> sfc wows fadeInUp" data-wow-duration="500ms" data-wow-delay="300ms">
                                <article class="blog item-blog type-1 <?php echo esc_attr( $cl_event ); ?>">
                                    <div class="text-left">
                                        <?php if ( $cl_event == 'odd' ) : ?>
                                            <?php if ( has_post_thumbnail() ) : ?>
                                                <div class="img-box">
                                                   <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-1');?></a>
                                                </div>
                                            <?php endif; ?>
                                        <?php else : ?>
                                            <div class="blog-text hidden-xs">
                                                <div class="post-cat"><span class="before">&nbsp;</span><?php echo get_the_category_list( get_the_ID() ); ?><span class="after">&nbsp;</span></div>
                                                <div class="postTitle">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>">
                                                        <h2><?php the_title(); ?></h2>
                                                        <span>&nbsp;</span>
                                                    </a>
                                                </div>
                                                <div class="postContent">
                                                    <?php the_excerpt();?>
                                                </div>
                                                <a class="read-more" href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php echo esc_html__('Read more','modus'); ?></a>
                                            </div>
                                        <?php endif; ?>
                                        <?php if ( $cl_event == 'even' ) : ?>
                                            <div class="img-box hidden-sm hidden-md hidden-lg">
                                               <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-1');?></a>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="text-right">
                                        <?php if ( $cl_event == 'even' ) : ?>
                                            <?php if ( has_post_thumbnail() ) : ?>
                                                <div class="img-box hidden-xs">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-1');?></a>
                                                </div>
                                                <div class="blog-text hidden-sm hidden-md hidden-lg">
                                                    <div class="post-cat"><span class="before">&nbsp;</span><?php echo get_the_category_list( get_the_ID() ); ?><span class="after">&nbsp;</span></div>
                                                    <div class="postTitle">
                                                        <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2><span>&nbsp;</span></a>
                                                    </div>
                                                    <div class="postContent">
                                                        <?php the_excerpt();?>
                                                    </div>
                                                    <a class="read-more" href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php echo esc_html__('Read more','modus'); ?></a>
                                                </div>
                                            <?php endif; ?>
                                        <?php else : ?>
                                            <div class="blog-text">
                                                <div class="post-cat"><span class="before">&nbsp;</span><?php echo get_the_category_list( get_the_ID() ); ?><span class="after">&nbsp;</span></div>
                                                <div class="postTitle">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2><span>&nbsp;</span></a>
                                                </div>
                                                <div class="postContent">
                                                    <?php the_excerpt();?>
                                                </div>
                                                <a class="read-more" href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php echo esc_html__('Read more','modus'); ?></a>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </article>
                            </div>
                            <?php
                        endif;
                        if ( $type_list == 'type2' ) :
                            $archive_month = get_the_time('M');
                            $archive_day   = get_the_time('d');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%2 == 0 && $item_index > 2 ) echo '<div class="row">';
                                ?>
                                <div class="col-md-6 col-sm-6 col-lg-6 col-xs-12">
                                    <article class="blog item-blog type-2">
                                        <div class="img-box">
                                           <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-2');?></a>
                                        </div>
                                        <div class="blog-text">
                                            <div class="postTitle">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                            </div>
                                            <div class="post-meta">
                                                <p><?php echo esc_html( $archive_month ); ?> <?php echo esc_html( $archive_day ); ?>, <?php echo esc_html( $archive_year ); ?>
                                                <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a></p>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == 2 ) echo '</div>';
                            if ( $item_index%2 == 0  && $item_index>2 ) echo '</div>';
                        endif;
                        if ( $type_list == 'type3' ) :
                            $archive_month = get_the_time('M');
                            $archive_day   = get_the_time('d');
                            $archive_year  = get_the_time('Y');
                            echo '<div class="list-type3"><div class="row">';
                                ?>
                                <div class="col-md-6 col-sm-6 col-lg-6">
                                    <div class="img-box">
                                        <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php the_post_thumbnail( 'modus-image-blog-3' );?></a>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-6 col-lg-6">
                                    <div class="blog-text type3">
                                        <div class="postTitle">
                                            <p><?php echo esc_html( $archive_month ); ?> <?php echo esc_html( $archive_year ); ?></p>
                                            <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                        </div>
                                        <div class="post-content">
                                            <?php the_excerpt(); ?>
                                        </div>
                                        <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                    </div>
                                </div>
                                <?php
                            echo '</div></div>';
                        endif;
                        if ( $type_list == 'type4' ) :
                            if ( $item_index%2 == 0 ) $cl_event = 'even'; else $cl_event='odd';
                            ?>
                            <div class="sfc wows fadeInUp" data-wow-duration="500ms" data-wow-delay="300ms">
                                <article class="blog item-blog type-4 <?php echo esc_attr( $cl_event ); ?>">
                                    <div class="row">
                                        <div class="col-md-5 col-sm-6 col-xs-12  blog-list-type-4">
                                            <?php if ( has_post_thumbnail() ) : ?>
                                                <div class="img-box">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('full');?></a>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-md-7 col-sm-6 col-xs-12 blog-list-type-4-content">
                                            <div class="post-cat"><?php echo get_the_category_list( get_the_ID() ); ?></div>
                                            <div class="postTitle">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>">
                                                    <h2><?php the_title(); ?></h2>
                                                </a>
                                            </div>
                                            <div class="postContent">
                                                <?php
													the_excerpt(30);
                                                ?>
                                            </div>
                                            <a class="read-more" href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php echo esc_html__('Read more','modus'); ?></a>
                                        </div>
                                    </div>
                                 </article>
                            </div>
                            <?php
                        endif;
                        if ( $type_list == 'type5' ) :
                            if ( $item_index%2 == 0 ) $cl_event = 'even'; else $cl_event='odd';
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                                ?>
                                <div class="<?php echo esc_attr( $cl_class );?>">
                                    <article class="blog item-blog type-5 text-center <?php echo esc_attr( $cl_event );?>">
                                        <?php if ( $cl_event == 'odd' ) : ?>
                                            <?php if ( has_post_thumbnail() ) : ?>
                                                <div class="img-box">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('full');?></a>
                                                </div>
                                            <?php endif; ?>
                                            <div class="blog-text">
                                                <div class="postTitle">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                                                </div>
                                                <div class="postcontent">
                                                    <?php the_excerpt() ; ?>
                                                </div>
                                                <div class="post-meta">
                                                    <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                                </div>
                                            </div>
                                        <?php else : ?>
                                            <?php if ( $cl_event == 'even' ) : ?>
                                                <div class="img-box hidden-sm hidden-md hidden-lg">
                                                   <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('full');?></a>
                                                </div>
                                            <?php endif; ?>
                                            <div class="blog-text">
                                                <div class="postTitle">
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                                                </div>
                                                <div class="postcontent">
                                                    <?php the_excerpt() ; ?>
                                                </div>
                                                <div class="post-meta">
                                                    <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                                </div>
                                            </div>
                                            <div class="img-box hidden-xs">
                                               <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('full');?></a>
                                            </div>
                                        <?php endif; ?>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                        if ( $type_list == 'type6' ) :
                            $archive_month = get_the_time('F');
                            $archive_day   = get_the_time('d');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                                ?>
                                <div class="<?php echo esc_attr( $cl_class );?>">
                                    <article class="blog item-blog type-6">
                                        <?php if ( has_post_thumbnail() ) : ?>
                                            <div class="img-box">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-2');?></a>
                                            </div>
                                        <?php endif; ?>
                                        <div class="blog-text">
                                            <div class="postTitle">
												<p><?php echo esc_html( $archive_month ); ?> <?php echo esc_html( $archive_year ); ?></p>
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                            </div>
                                            <div class="postcontent">
                                                <?php the_excerpt() ; ?>
                                                <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                        if ( $type_list == 'type7' ) :
                            ?>
                            <div class="<?php echo esc_attr( $cl_class );?>">
                                <div id="myModal-<?php echo  $item_index; ?>" class="modal fade" role="dialog">
                                    <div class="modal-dialog">
                                        <!-- Modal content-->
                                        <div class="modal-content">
                                          <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                          </div>
                                          <div class="modal-body">
                                           <div class="img-box">
                                                <div class="postTitle">
                                                    <a href="<?php the_permalink(); ?>" title=""><h3><?php the_title(); ?></h3></a>
                                                </div>
                                                <?php if ( has_post_thumbnail() ) : ?>
                                                    <div class="img-box">
                                                        <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-7');?></a>
                                                    </div>
                                                <?php endif; ?>
                                                <?php the_content(); ?>
                                            </div>
                                          </div>
                                        </div>

                                    </div>
                                </div>
                                <article class="blog item-blog type-7">
                                    <?php if ( has_post_thumbnail() ) : ?>
                                        <div class="img-box">
                                            <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-7');?></a>
                                        </div>
                                    <?php endif; ?>
                                    <div class="md-blog-text">
                                        <div class="postcontent">
                                            <div class="ct-left">
                                                <div class="postTitle">
                                                    <h3><?php the_title(); ?></h3>
                                                </div>
                                                <?php
                                                    if ( has_excerpt( get_the_ID()) ) {
                                                       the_excerpt();
                                                    }
                                                    else
                                                        echo the_content();
                                                ?>
                                            </div>
                                            <div class="ct-right">
                                                <div class="share-post">
                                                    <a href="<?php the_permalink(); ?>"><i class="Pe-icon-7-stroke-link"></i></a>
                                                </div>
                                                <div class="quicklink">
                                                    <a data-toggle="modal" data-target="#myModal-<?php echo  $item_index; ?>" href="#"><i class="Pe-icon-7-stroke-search"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <?php
                        endif;
                        if ( $type_list == 'type8' ) :
                            $archive_month = get_the_time('F');
                            $archive_day   = get_the_time('d');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                                ?>
                                <div class="<?php echo esc_attr( $cl_class );?>">
                                    <article class="blog item-blog type-6">
                                        <?php if ( has_post_thumbnail() ) : ?>
                                            <div class="img-box">
                                               <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-2');?></a>
                                            </div>
                                        <?php endif; ?>
                                        <div class="blog-text">
                                            <div class="postTitle">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                                                <p><?php echo esc_html__( 'On','modus' );?> <?php echo esc_html( $archive_month ); ?> <?php echo esc_html( $archive_day ); ?>, <?php echo esc_html( $archive_year ); ?></p>
                                                <?php
                                                $comments = get_comments_number();
                                                ?>
                                                <p class="link-comment"><a href="<?php echo esc_url( get_permalink() ) . '#comments'; ?>" class="color_scheme_hover fw_normal"><i class="icon-bubbles5"></i><?php echo ( $comments . ' '); ?></a></p>
                                            </div>
                                            <div class="postcontent">
                                                <?php the_excerpt() ; ?>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                        if ( $type_list == 'type9' ) :
                            $archive_month = get_the_time('m');
                            $archive_day   = get_the_time('D');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                                ?>
                                <div class="<?php echo esc_attr( $cl_class );?>">
                                    <article class="blog item-blog type-9">
                                        <?php if ( has_post_thumbnail() ) : ?>
                                            <div class="img-box">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-9');?></a>
                                            </div>
                                        <?php endif; ?>
                                        <div class="blog-text">
                                            <div class="postTitle">
                                                <div class="month"><?php echo esc_html( $archive_month ); ?></div>
                                                <div class="title">
                                                    <p><?php echo esc_html( $archive_day ); ?>, <?php echo esc_html( $archive_year ); ?></p>
                                                    <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                                </div>
                                            </div>
                                            <div class="postcontent">
                                                <?php the_excerpt() ; ?>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                        if ( $type_list == 'type10' ) :
                            $archive_month = get_the_time('m');
                            $archive_day   = get_the_time('D');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                                ?>
                                <div class="<?php echo esc_attr( $cl_class );?>">
                                    <article class="blog item-blog type-10">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-6">
                                                <?php if ( has_post_thumbnail() ) : ?>
                                                    <div class="img-box">
                                                        <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-10');?></a>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                            <div class="col-xs-12 col-md-6">
                                                <div class="blog-text">
                                                    <div class="postTitle">
                                                        <div class="month"><?php echo esc_html( $archive_month ); ?></div>
                                                        <div class="title">
                                                            <p><?php echo esc_html( $archive_day ); ?>, <?php echo esc_html( $archive_year ); ?></p>
                                                            <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                                        </div>
                                                    </div>
                                                    <div class="postcontent">
                                                        <?php the_excerpt() ; ?>
                                                    </div>
                                                    <a class="read-more" href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                                </div>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                                <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                        if ( $type_list == 'type11' ) :
                            $archive_month = get_the_time('F');
                            $archive_day   = get_the_time('d');
                            $archive_year  = get_the_time('Y');
                            if ( $item_index == 1 ) echo '<div class="row">';
                            if ( ($item_index-1)%$column == 0 && $item_index > $column ) echo '<div class="row">';
                            ?>

                            <div class="<?php echo esc_attr( $cl_class );?>">
                                <article class="blog item-blog type-11">
                                    <?php if ( has_post_thumbnail() ) : ?>
                                        <div class="img-box">
                                            <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail('modus-image-blog-11');?></a>
                                        </div>
                                    <?php endif; ?>
                                    <div class="blog-text">
                                        <div class="postTitle">
                                            <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h3><?php the_title(); ?></h3></a>
                                            <p><?php echo esc_html( $archive_month ); ?> <?php echo esc_html( $archive_day ); ?>, <?php echo esc_html( $archive_year ); ?></p>
                                            <?php
                                            $comments = get_comments_number();
                                            ?>
                                            <p class="link-comment"><a href="<?php echo esc_url( get_permalink() ) . '#comments'; ?>" class="color_scheme_hover fw_normal"><i class="fa fa-comments-o" ></i><?php echo ( $comments . ' '); ?></a></p>
                                            <?php modus_posted_on();?>
                                        </div>
                                        <div class="postcontent">
                                            <?php the_excerpt() ; ?>
                                            <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?><i class="fa fa-arrow-right" aria-hidden="true"></i></a>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <?php
                            if ( $item_index == $column ) echo '</div>';
                            if ( $item_index%$column == 0  && $item_index>$column ) echo '</div>';
                        endif;
                    endwhile;
                    if ( $type_list == 'type2' ) :
                        if ( $item_index%2 != 0 ) echo '</div>';
                    endif;
                    if ( $type_list == 'type5' || $type_list == 'type8' ) :
                        if ( $item_index%$column != 0 ) echo '</div>';
                    endif;
                    if ( $type_list == 'type7' ) :
                        echo '</div>';
                    endif;
                    wp_reset_postdata();
                echo '</div>';
                if (  $show_viewmore == 'enable_show_viewmore'  ) :
                    ?>
                    <div class="sfc wow fadeInUp" data-wow-duration="500ms" data-wow-delay="300ms">
                        <div class="text-center">
                            <a href="<?php echo esc_url($button_link); ?>" class="view-more hvr-rectangle-out "><?php echo esc_html($button_text);?></a>
                        </div>
                    </div>
                    <?php
                endif;
            endif;
            if ( $layout_blog == 'slide') :
                ?>
                <div class="initSlide_product" data-columns="<?php echo esc_attr( $columns );?>" data-rows="<?php echo esc_attr( $rows );?>">
                    <div class="beans-stepslider" data-rotate="true">
                        <div class="beans-mask">
                            <div class="beans-slideset">
                                <?php
                                $item_index = 0;
                                while ( $rquery_post->have_posts() ) : $rquery_post->the_post();
                                    $item_index ++;
                                    $archive_month = get_the_time('M');
                                    $archive_day   = get_the_time('d');
                                    $archive_year  = get_the_time('Y');
                                    ?>
                                    <article class="blog item-blog">
                                        <div class="img-box">
											<a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><?php the_post_thumbnail('modus-image-blog-slide');?></a> 
                                            <div class="post-meta">
                                                <p><?php echo esc_html( $archive_day ); ?></p><p><?php echo esc_html( $archive_month ); ?></p>
                                            </div>
                                        </div>
                                        <div class="blog-text">
                                            <div class="postTitle">
                                                <a href="<?php the_permalink();?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                                            </div>
                                            <div class="postContent">
                                                <?php echo modus_content_limit(12);?>
                                            </div>
                                            <a class="blog-read-more" href="<?php the_permalink();?>"><?php echo esc_html__('Read more','modus_sc');?></a>
                                        </div>
                                    </article>
                                    <?php
                                endwhile;
                		        wp_reset_postdata();
                                ?>
                            </div>
                        </div>
                        <div class="beans-pagination">
                            <!-- pagination generated here -->
                        </div>
                        <a class="btn-prev" href="#"><i class="fa fa-angle-left"></i></a>
                        <a class="btn-next" href="#"><i class="fa fa-angle-right"></i></a>
                    </div>
                </div>
                <?php
            endif;
        endif;
        ?>
    </div>
    <?php
    return ob_get_clean();
}
?>